<persistence xmlns="http://java.sun.com/xml/ns/persistence" 
	version="1.0">

	<persistence-unit name="jpaPU" transaction-type="RESOURCE_LOCAL">
		<provider>org.hibernate.ejb.HibernatePersistence</provider>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-core-services-api/${kernel.version}/kernel-core-services-api-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-metadata-services-api/${kernel.version}/kernel-metadata-services-api-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-dataset-services-api/${kernel.version}/kernel-dataset-services-api-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-extraction-services-api/${kernel.version}/kernel-extraction-services-api-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-filecomp-services-api/${kernel.version}/kernel-filecomp-services-api-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/kernel-synthesis-services-api/${kernel.version}/kernel-synthesis-${kernel.version}.jar
		</jar-file>
		<jar-file>file:/${settings.localRepository}/org/inra/ecoinfo/orelacs-core-services-api/${project.version}/orelacs-core-services-api-${project.version}.jar
		</jar-file>

		<jar-file>${projectBaseUri}target/classes</jar-file>
		
		
		<properties>
			<property name="hibernate.archive.autodetection" value="class" />
			<property name="hibernate.bytecode.use_reflection_optimizer" 
				value="true" />
			<property name="hibernate.jdbc.fetch_size" value="30" />
			<property name="connection.isolation" value="2" />
			<property name="hibernate.jdbc.use_scrollable_resultset" 
				value="false" />
			<property name="hibernate.jdbc.batch_size" value="30" />

			<property name="hibernate.hbm2ddl.auto" value="create-drop"/>

			<property name="hibernate.show_sql" value="false" />
			<property name="hibernate.format_sql" value="false" />
			<property name="use_sql_comments" value="false" />
			<property name="hibernate.query.substitutions" value="false" />
			<property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect" />
			

			<!-- 
			 2nd level cache
			 
            <property name="hibernate.cache.provider_class" value="net.sf.ehcache.hibernate.SingletonEhCacheProvider" />
            <property name="hibernate.cache.provider_configuration" value="ehcache.xml" />
            <property name="hibernate.cache.use_second_level_cache" value="true" />
            <property name="hibernate.cache.use_query_cache" value="true" />
            <property name="hibernate.cache.use_minimal_puts" value="true" />
            <property name="hibernate.generate_statistics" value="true" />
            <property name="hibernate.cache.use_structured_entries" value="true" />
            -->  	
        </properties>
	
		
    </persistence-unit>
</persistence>